Опубликована информация о критической уязвимости в Skype

Новая уязвимость была обнаружена в программном продукте Microsoft, на этот раз в Windows-версии коммуникационного приложения Skype.

Обнаружил проблему специалист компании Vulnerability Lab Бенджамин Кунц Мехри. Ошибка переполнения буфера известна под номером CVE-2017-9948 в Skype 7.2, 7.35 и 7.36. Использование этой уязвимости не требует взаимодействия со стороны пользователей, атакующий может заставить приложение аварийно закрыться или даже выполнить вредоносный код в системе с одной из этих версий Skype.

Баг обнаружен в библиотеке MSFTEDIT.DLL, его можно использовать при помощи копирования вредоносного файла изображения в буфер обмена и вставки в окно диалога Skype. Изображение хранится на локальной и удаленной системах, происходит ошибка переполнения буфера, падение приложения и открывается дверь перед применением дополнительных эксплоитов.

Для проведения успешной атаки не обязательно выполнять её вручную. Злоумышленники могут подготовить кеш и буфер обмена заранее, права администратора также не требуются. Microsoft ещё 8 июня выпустила патч для версии Skype 7.37.178, установить его рекомендуется как можно скорее. До сих пор сообщений об успешных атаках посредством этой уязвимости не поступало. Уязвимость была опубликована только 26 июня, поэтому теперь о её существовании известно значительно большему числу хакеров. В Skype на других операционных системах подобной уязвимости нет.

Источник: OSzone.net




Добавить комментарий

Войти с помощью: